﻿using System;

namespace PayDemo.ChinaBank
{
    public partial class ChinaBankCallback : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string tradeOrderNo = Request["v_oid"];
            string status = Request["v_pstatus"];
            string amount = Request["v_amount"];
            string sign = Request["v_md5str"];
            string moneyType = Request["v_moneyType"];

            //为按顺序连接  订单号、支付结果、总金额、币种、商户密钥为新字符串的MD5值。
            string md5 = Common.SecurityHelper.GetMD5(tradeOrderNo + status + amount+moneyType + Consts.sellerKey);
            if (sign != md5)
            {
                Response.Write("数据被篡改");
            }
            else
            {
                Response.Write("支付成功，订单号："+tradeOrderNo+",金额：" + amount);
            }
        }
    }
}